summaryrefslogtreecommitdiff
path: root/app-benchmarks/bootchart2/files
diff options
context:
space:
mode:
Diffstat (limited to 'app-benchmarks/bootchart2/files')
-rw-r--r--app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch29
-rw-r--r--app-benchmarks/bootchart2/files/bootchart2.init26
2 files changed, 55 insertions, 0 deletions
diff --git a/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch b/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch
new file mode 100644
index 000000000000..de6e4112b685
--- /dev/null
+++ b/app-benchmarks/bootchart2/files/bootchart2-0.14.7-sysmacros.patch
@@ -0,0 +1,29 @@
+https://bugs.gentoo.org/579922
+
+From add58c3b57064afd6f7d2fd5f09006d28a3e770e Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Thu, 21 Apr 2016 00:19:32 -0400
+Subject: [PATCH] include sys/sysmacros.h for major/minor/makedev
+
+These funcs are defined in the sys/sysmacros.h header, not sys/types.h.
+Linux C libraries are updating to drop the implicit include, so we need
+to include it explicitly.
+---
+ collector/collector.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/collector/collector.c b/collector/collector.c
+index cfdcb26..2f3ce6b 100644
+--- a/collector/collector.c
++++ b/collector/collector.c
+@@ -33,6 +33,7 @@
+ #include "common.h"
+
+ #include <sys/mount.h>
++#include <sys/sysmacros.h>
+ #include <linux/fs.h>
+ #include <linux/genetlink.h>
+ #include <linux/taskstats.h>
+--
+2.7.4
+
diff --git a/app-benchmarks/bootchart2/files/bootchart2.init b/app-benchmarks/bootchart2/files/bootchart2.init
new file mode 100644
index 000000000000..3e5d968c0376
--- /dev/null
+++ b/app-benchmarks/bootchart2/files/bootchart2.init
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use localmount
+}
+
+start() {
+ if /bin/grep -q "rdinitrd=/sbin/bootchartd" /proc/cmdline; then
+ if /bin/pidof bootchart-collector> /dev/null 2>&1; then
+ ebegin "Scheduling termination of Bootchart"
+ /sbin/bootchartd start
+ /sbin/bootchartd wait &
+ eend $?
+ fi
+ else
+ einfo "No bootchart process found!"
+ eindent
+ einfo "This script does not start bootchart, but only schedules its termination."
+ einfo "Bootchart should be started from the kernel command line."
+ einfo "Please check the README on how to do that."
+ eoutdent
+ eend 0
+ fi
+}